Name:       perl-Term-EditLine
Version:    0.11
Release:    1%{?dist}
Summary:    An object oriented perl interface to the NetBSD editline library

License:    GPL+ or Artistic
URL:        https://github.com/plicease/Term-EditLine
Source0:    Term-EditLine-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  libedit-devel

%description
Term::EditLine is an object oriented perl interface to the NetBSD editline library.

%prep
%setup -q -n Term-EditLine-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name perllocal.pod -delete

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/Term/EditLine/autosplit.ix
%{perl_vendorarch}/auto/Term/EditLine/EditLine.so
%{perl_vendorarch}/Term/EditLine.pm
%{_datadir}/man/man3

%changelog
* Wed Aug 01 2018 Yupeng Chang <ypchang@ambarella.com> - 0.11-1
- Initial RPM package
